Bug 36356 - Problem with column balancing in multi-column layout
Problem with column balancing in multi-column layout
Status: CLOSED FIXED
Product: Fop - Now in Jira
Classification: Unclassified
Component: page-master/layout
trunk
Other other
: P2 normal
: ---
Assigned To: fop-dev
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2005-08-25 14:31 UTC by Manuel Mall
Modified: 2012-04-01 06:49 UTC (History)
0 users



Attachments
xml sample to demonstrate the problem (1.94 KB, text/plain)
2005-08-25 14:33 UTC, Manuel Mall
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Manuel Mall 2005-08-25 14:31:56 UTC
The attached xml (process like other layout engine tests) seems to exhibit a 
problem with the column balancing. The 6 lines in the first block are 
distributed over 2 columns only. The moment the margin="5%" is removed on the 
block the 6 lines are distributed over 3 columns.
Comment 1 Manuel Mall 2005-08-25 14:33:08 UTC
Created attachment 16195 [details]
xml sample to demonstrate the problem
Comment 2 Jeremias Maerki 2005-08-26 14:29:36 UTC
Test case added to the repository. Thanks.
http://svn.apache.org/viewcvs?rev=240219&view=rev

I've replaced the percentages with absolute lengths to simplify a little. It 
seems that the balancing approach does not yet always find the right break 
points. It looks like it will need some additional work.
Comment 3 Jeremias Maerki 2005-11-24 12:22:58 UTC
Hmm, this seems to work now. I haven't changed anything explicitely for this
bug. Maybe another change made it work. Can we close this one?
Comment 4 Manuel Mall 2005-11-24 12:45:26 UTC
Yes - seems to work now - bug closed.
Comment 5 Glenn Adams 2012-04-01 06:49:13 UTC
batch transition pre-FOP1.0 resolved+fixed bugs to closed+fixed